
Redmine - Defect #8432

Private issues information shows up on Activity page for unauthorized users

2011-05-25 00:24 - Jack Kurzecki

Status: Closed Start date: 2011-05-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.2.0   

Resolution: Fixed Affected version:  

Description

Private issues information shows up on Activity page for unauthorized users.

Steps to replicate:

Create a regular issue.

Edit the issue and set the private checkbox

log in as a user without permission to see private issues (non-administrator)

go to activity page and you will see all relevant info

go to issues page and issue is not visible and cannot be found using search

Related issues:

Related to Redmine - Feature #7414: Private issues Closed 2011-01-22

Related to Redmine - Feature #9067: Private tasks - wouldn't be shown in acti... Closed 2011-08-16

Associated revisions

Revision 5944 - 2011-05-29 09:12 - Jean-Philippe Lang

Fixed: activity shows updates of private issues (#8432).

History

#1 - 2011-05-25 00:34 - Etienne Massip

- Target version set to 1.2.0

Guess it could be blocking for 1.2.0 release.

#2 - 2011-05-25 00:34 - Etienne Massip

- Category set to Issues

#3 - 2011-05-29 09:13 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Fixed in r5944.

#4 - 2011-05-29 09:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 1.2-stable.
